#!/bin/sh

CC=g++
SAGE=sage
CFLAGS="-Wall -g"  # for debug
#CFLAGS="-Wall -O3 -fopenmp"  # for faster run

echo 'Converting binary drawings of K_7 to text'
$CC $CFLAGS totext.cpp -o totext
echo 7 > otypes.07.txt
./totext otypes07.b08 >> otypes.07.txt

echo 'Converting drawings of K_7 to K_3,2,2 and generating flags'
$CC $CFLAGS texttoflags.cpp -o texttoflags
./texttoflags < otypes.07.txt | sort | uniq >  F_7_vertices3_crossings.txt

echo 'Generating SDP'
$CC $CFLAGS sdp_generator.cpp -o sdp_generator
./sdp_generator > test.7.dat-s

echo 'Solving SDP'
csdp test.7.dat-s test.7.result.txt

echo 'Rounding the solution of SDP using sage'
echo "Please run sage and use load('rounding.py')"
